Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Tue 18 Jun 2019, 23:29
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Drivers
Nvidia drivers
Post new topic   Reply to topic View previous topic :: View next topic
Page 11 of 13 [185 Posts]   Goto page: Previous 1, 2, 3, ..., 9, 10, 11, 12, 13 Next
Author Message
shinobar


Joined: 28 May 2009
Posts: 2674
Location: Japan

PostPosted: Sat 03 Nov 2018, 01:53    Post subject: getnvidia-1.3  

Try v1.3:
getnvidia-1.3.pet (edit: replaced by getnvdia-1.3-1.pet)
http://shino.pos.to/party/bridge.cgi?puppy/opt/

_________________
Downloads for Puppy Linux http://shino.pos.to/linux/downloads.html

Last edited by shinobar on Sat 03 Nov 2018, 11:54; edited 1 time in total
Back to top
View user's profile Send private message Visit poster's website 
bigpup


Joined: 11 Oct 2009
Posts: 12213
Location: S.C. USA

PostPosted: Sat 03 Nov 2018, 02:22    Post subject:  

Quote:
getnvidia-1.3.pet

Is this a 32bit program?
Is there a 64bit version or will it run in 64bit Puppies as is?

_________________
The things they do not tell you, are usually the clue to solving the problem.
When I was a kid I wanted to be older.... This is not what I expected Shocked
YaPI(any iso installer) http://www.murga-linux.com/puppy/viewtopic.php?t=107601
Back to top
View user's profile Send private message 
perdido


Joined: 09 Dec 2013
Posts: 1288
Location: ¿Altair IV , Just north of Eeyore Junction.?

PostPosted: Sat 03 Nov 2018, 08:22    Post subject:  

bigpup wrote:
Quote:
getnvidia-1.3.pet

Is this a 32bit program?
Is there a 64bit version or will it run in 64bit Puppies as is?


Hi bigpup.

Following shinobar's links in the thread shows some interesting stuff/ most notably all versions of both the 32 & 64 bit versions of getnvidia shinobar
has released, the 64-bitters ending in "64" with the latest being "getnvidia-1.1-64.pet "

And also a lot of other goodies there too.

.
Back to top
View user's profile Send private message 
bigpup


Joined: 11 Oct 2009
Posts: 12213
Location: S.C. USA

PostPosted: Sat 03 Nov 2018, 08:37    Post subject:  

Yes, but this is version 1.3
I do not see a 1.3 and a 1.3-64

_________________
The things they do not tell you, are usually the clue to solving the problem.
When I was a kid I wanted to be older.... This is not what I expected Shocked
YaPI(any iso installer) http://www.murga-linux.com/puppy/viewtopic.php?t=107601
Back to top
View user's profile Send private message 
shinobar


Joined: 28 May 2009
Posts: 2674
Location: Japan

PostPosted: Sat 03 Nov 2018, 11:43    Post subject: getnvidia-1.3 both for 32/64bit Puppies  

getnvidia-1.3 is tested both on UPup-bb(32bit) and on Bionicpup64.
It depends on the NVIDIA*.run you choose, whether 32 or 64bit.

getnvidia-1.3.pet shows its version as '1.2'.
Uploaded 1.3-1.pet which shows correct getnvidia version.
getnvidia-1.3-1.pet
http://shino.pos.to/party/bridge.cgi?puppy/opt/

_________________
Downloads for Puppy Linux http://shino.pos.to/linux/downloads.html
Back to top
View user's profile Send private message Visit poster's website 
baraka

Joined: 25 Oct 2018
Posts: 7

PostPosted: Sat 03 Nov 2018, 13:28    Post subject:  

Ok, thx. I retested getnvidia-1.3-1 in xenial64 and in beaver64 with NVIDIA-Linux-x86_64-340.107 driver. The same error followed, namely:

cp:cannot stat '../log/nvidia-installer.log'
no such file or directory
tail: can't open 'nvidia-installer.log'
somewhat error occured

and I was advised to check the log. This line caught my attention:

./nvidia-installer:unrecognized option: '--install -libglvnd'

Maybe I should try older versions of 340. I don't know.
Back to top
View user's profile Send private message 
Semme


Joined: 07 Aug 2011
Posts: 8010
Location: World_Hub

PostPosted: Sat 03 Nov 2018, 15:04    Post subject:    

Baraka, perhaps Shino's script needs an adjustment..

https://superuser.com/questions/1235420/cp-cannot-stat-some-path-no-such-file-or-directory

Idea You could probably create a blank "/var/log/nvidia-installer.log" and rerun Shino's program.

Then again, you may need a few other Pup specific goodies loaded before the installer flies..

https://www.reddit.com/r/linux4noobs/comments/66tczr/need_libglvnd_libraries_to_install_nvidia_drivers/

_________________
>>> Living with the immediacy of death helps you sort out your priorities. It helps you live a life less trivial <<<
Back to top
View user's profile Send private message 
shinobar


Joined: 28 May 2009
Posts: 2674
Location: Japan

PostPosted: Sun 04 Nov 2018, 12:58    Post subject: getnvidia-1.4  

Tnx baraka for the testing.
I realized and hope fixed the 64bit problem reading your report.
Try v1.4:
getnvidia-1.4.pet
http://shino.pos.to/party/bridge.cgi?puppy/opt/

_________________
Downloads for Puppy Linux http://shino.pos.to/linux/downloads.html
Back to top
View user's profile Send private message Visit poster's website 
csipesz


Joined: 08 Nov 2013
Posts: 232
Location: Isaszeg, Hungary

PostPosted: Mon 05 Nov 2018, 07:53    Post subject:  

Dear Shinobar, i tried your getnvidia1.2+1.3 pets on a new UpupCC system(32bit) and it's working!
OMG, finally somewhere! Thank you, very much! Now only for the 64 bit platform should be equally good workin stuff...
Back to top
View user's profile Send private message 
baraka

Joined: 25 Oct 2018
Posts: 7

PostPosted: Mon 05 Nov 2018, 12:17    Post subject:  

Semme: It was a long shot, but I tried your idea nevertheless, with a sidenote: l was unable to install libglvnd. I'm not really convinced that they are indeed suited for 340 driver (too old). In the end, it didn't work, but thx. Note: the script checks automatically for those goodies; someone may believe something else after reading your post.

shinobar:
- in xenial64 4.9.58 the driver 340 installed corectly. wine passed the vlc test, and I think that everything is ok.
- in beaver64 4.18.15 the driver had built and loaded ok, but after I couldn't start xorg despite everything I tried (the OS is in the making, who knows what is happening, I could access the logs if you think it's worth a try).
- I'll see tomorrow if it runs in tahr64, maybe the result has some value to someone.
Much obliged for your effort.

LE: In xenial64 things are not ok in wine. This time, the error is related to opengl:

err:wgl:init_opengl Failed to load libGL: libGL.so.1: wrong ELF class: ELFCLASS64
err:wgl:init_opengl OpenGL support is disabled

Reading the forum I found this about it. Wine32 requests lib32, but the system offers lib64, hence the error. http://www.murga-linux.com/puppy/viewtopic.php?p=975088 666philb's post
When I'll have more time I may try jamesbond's method. It sounds familiar, I think it had already failed me, but I'm not very sure.

In tahr64 the situation is the same as in xenial64.

Last edited by baraka on Tue 20 Nov 2018, 14:14; edited 6 times in total
Back to top
View user's profile Send private message 
James186282


Joined: 08 Sep 2009
Posts: 266
Location: Minnesota

PostPosted: Mon 05 Nov 2018, 16:46    Post subject:  

I ended up crashing and burning with the 304 nvidia driver. Running an Nvidea routine *Why? it all worked.

Anyway I thought it might be time to open my wallet (gasp) and buy a slightly newer display board. I thought I was getting a discount special that used Nvidea 340.xx drivers but they had a shiny Shocked newer (open box) special on one with twice the video ram and three monitor connectors. So now its nvidia 410.xx on Xenialpup AMD64.

I probably went too far in the newness direction. If anyone hears screaming and puling out the last of my hairs I apologize in advance.

If you don't see an update its because I've smashed my head into the computer monitor. Crying or Very sad

_________________
Science is what we understand well enough to explain to a computer.
Art is everything else we do.
Donald Knuth
Back to top
View user's profile Send private message 
shinobar


Joined: 28 May 2009
Posts: 2674
Location: Japan

PostPosted: Fri 16 Nov 2018, 07:21    Post subject: getnvidia-1.5  

Avoid GL libraries confliction with some Puppy's.
Tested on bionicpup64.
getnvidia-1.5.pet
http://shino.pos.to/party/bridge.cgi?puppy/opt/

_________________
Downloads for Puppy Linux http://shino.pos.to/linux/downloads.html
Back to top
View user's profile Send private message Visit poster's website 
James186282


Joined: 08 Sep 2009
Posts: 266
Location: Minnesota

PostPosted: Fri 16 Nov 2018, 10:49    Post subject:  

It ended up working pretty simply.
I got the devx files for xenial and loaded them (They were .sfs format)
I did the same fo the xebalpup 5.5 header files
I went tto the NVIDiA site and downloaded the 410 driver after double checking it was the one they suggested.
I then turned on permission to execute to the Nvidia .run file.
I went to Menu clicked exit then clicked exit to prompt.
I typed in the name of the nvidia .run file and it compiled up a nice new display driver.
hoo hoo1 Sometimes everything works...

_________________
Science is what we understand well enough to explain to a computer.
Art is everything else we do.
Donald Knuth
Back to top
View user's profile Send private message 
bigpup


Joined: 11 Oct 2009
Posts: 12213
Location: S.C. USA

PostPosted: Fri 16 Nov 2018, 11:12    Post subject:  

I recently used Getnvidia to install one of the newest Nvidia drivers.
In the running of the Nvidia run package, compiling the driver, and installing the driver, it asks if I want to make a new xorg.conf.
CHOOSE NO!
If you say yes, it will make a xorg.conf that will not work in Puppy.
Use Puppies Xorgwizard if you need to do anything to xorg.conf.

After installing and using the Nvidia driver.
Nvidia X Server Settings control program.
It controls the settings for Nvidia graphics hardware when using the Nvidia driver.
There are Nvidia settings files being used by the driver.
This is very good at making setting adjustments.
Use it for making any setting changes.

"Warning"
On the X Server Display Configuration Window is an option:
Save to X Configuration File
DO NOT USE THIS OPTION
It will make an xorg.conf file that does not work in Puppy and replaces the working Puppy xorg.conf.

_________________
The things they do not tell you, are usually the clue to solving the problem.
When I was a kid I wanted to be older.... This is not what I expected Shocked
YaPI(any iso installer) http://www.murga-linux.com/puppy/viewtopic.php?t=107601
Back to top
View user's profile Send private message 
perdido


Joined: 09 Dec 2013
Posts: 1288
Location: ¿Altair IV , Just north of Eeyore Junction.?

PostPosted: Fri 16 Nov 2018, 15:11    Post subject:  

bigpup wrote:


"Warning"
On the X Server Display Configuration Window is an option:
Save to X Configuration File
DO NOT USE THIS OPTION
It will make an xorg.conf file that does not work in Puppy and replaces the working Puppy xorg.conf.

Hi bigpup,
Good point about the xorg.conf file generated from nvidia setup program.

Its not that it won't boot with an xorg.conf from the nvidia setup program, its that there are some
puppy specific settings that nvidia does not include when it rebuilds the xorg.conf file.

Better to manually edit the puppy xorg.conf with the settings nvidia setup would write to the xorg.conf file
That way yu wil keep the puppy specific settings in xorg.conf

.

Last edited by perdido on Sat 17 Nov 2018, 01:48; edited 2 times in total
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 11 of 13 [185 Posts]   Goto page: Previous 1, 2, 3, ..., 9, 10, 11, 12, 13 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Drivers
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0767s ][ Queries: 12 (0.0337s) ][ GZIP on ]